VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::cis::tagging::TagAssociationTypes::TagToObjects Class Reference

The `TagAssociation.TagToObjects` class describes a tag and its related objects. More...

List of all members.

## Public Member Functions
| TagToObjects ()
| Creates a default new instance.
string | GetTagId ()
| The identifier of the tag.
void | SetTagId (string tagId)
| The identifier of the tag.
global::System.Collections.Generic.List < vmware.vapi.std.DynamicID > | GetObjectIds ()
| The identifiers of the related objects.
void | SetObjectIds (global::System.Collections.Generic.List< vmware.vapi.std.DynamicID > objectIds)
| The identifiers of the related objects.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `TagAssociation.TagToObjects` class describes a tag and its related objects.

Use the TagAssociation.ListAttachedObjectsOnTags method to retrieve a list with each element containing a tag and the objects to which it is attached.

## Constructor & Destructor Documentation

vmware::cis::tagging::TagAssociationTypes::TagToObjects::TagToObjects | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::cis::tagging::TagAssociationTypes::TagToObjects::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::cis::tagging::TagAssociationTypes::TagToObjects::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::cis::tagging::TagAssociationTypes::TagToObjects::_GetType | ( |  | ) | `[inline]`

bool vmware::cis::tagging::TagAssociationTypes::TagToObjects::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::cis::tagging::TagAssociationTypes::TagToObjects::_Validate | ( |  | ) | `[inline]`

override bool vmware::cis::tagging::TagAssociationTypes::TagToObjects::Equals | ( | object | obj | ) | `[inline]`

override int vmware::cis::tagging::TagAssociationTypes::TagToObjects::GetHashCode | ( |  | ) | `[inline]`

global::System.Collections.Generic.List<vmware.vapi.std.DynamicID> vmware::cis::tagging::TagAssociationTypes::TagToObjects::GetObjectIds | ( |  | ) | `[inline]`

The identifiers of the related objects.

string vmware::cis::tagging::TagAssociationTypes::TagToObjects::GetTagId | ( |  | ) | `[inline]`

The identifier of the tag.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .

void vmware::cis::tagging::TagAssociationTypes::TagToObjects::SetObjectIds | ( | global::System.Collections.Generic.List< vmware.vapi.std.DynamicID > | objectIds | ) | `[inline]`

The identifiers of the related objects.

void vmware::cis::tagging::TagAssociationTypes::TagToObjects::SetTagId | ( | string | tagId | ) | `[inline]`

The identifier of the tag.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .

override string vmware::cis::tagging::TagAssociationTypes::TagToObjects::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- TagAssociationTypes.cs